Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.wms
Class Paver

    java.lang.Object
      org.deegree.tools.wms.Paver

All Implemented Interfaces:
  Runnable

    public class Paver

extends Object
implements Runnable

`Paver` should really be run with Java6, since Java5 has severe problems with opening many (temporary) files when using ImageIO, which are LEFT OPEN. Result is that you run out of file handles real fast, and all stops.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Nested Class Summary
`(package private) static class` | `Paver.Config`

Field Summary
`(package private) Paver.Config` | `config`
`(package private) boolean` | `finished`
`(package private) static ILogger` | `LOG`
`(package private) LinkedList<StringPair>` | `requests`

Method Summary
`static void` | `main(String[] args)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    static final ILogger LOG

### config

    final Paver.Config config

### requests

    final LinkedList<StringPair> requests

### finished

    boolean finished

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### main

    public static void main(String[] args)
                     throws IOException

  Parameters:
    `args` -
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org